Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 737884 - app-text/calibre-4.22.0 does not respect LDFLAGS
Summary: app-text/calibre-4.22.0 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ian Stakenvicius
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags 736900
  Show dependency tree
 
Reported: 2020-08-18 11:10 UTC by Agostino Sarubbo
Modified: 2020-08-21 05:30 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,144.05 KB, text/plain)
2020-08-18 11:10 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-18 11:10:40 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-text/calibre-4.22.0 does not respect LDFLAGS.
Discovered on: x86 (internal ref: x86_at)

NOTE:
To reproduce this issue you may want to set LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ context you may want to see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-18 11:10:42 UTC
Created attachment 655314 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-08-21 04:27:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5cea9e9a80d823a0f13b3c0cb8f76552efa8bc4

commit e5cea9e9a80d823a0f13b3c0cb8f76552efa8bc4
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-08-21 04:25:52 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-08-21 04:27:40 +0000

    app-text/calibre: Respect LDFLAGS for libheadless.so (bug 737884)
    
    Reported-by: Agostino Sarubbo
    Closes: https://bugs.gentoo.org/737884
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 app-text/calibre/calibre-4.22.0.ebuild | 1 +
 1 file changed, 1 insertion(+)
Comment 3 Zac Medico gentoo-dev 2020-08-21 05:30:56 UTC
This has been around for awhile now. Thanks for the report!